<?php

declare(strict_types=1);

namespace Drupal\tasks\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines task_type annotation object.
 *
 * @Annotation
 */
final class TaskType extends Plugin {

  /**
   * The plugin ID.
   */
  public readonly string $id;

  /**
   * The human-readable name of the plugin.
   *
   * @ingroup plugin_translatable
   */
  public readonly string $title;

  /**
   * The description of the plugin.
   *
   * @ingroup plugin_translatable
   */
  public readonly string $description;

  /**
   * An array of command types to run for this task type.
   *
   * @ingroup plugin_translatable
   */
  public readonly string $commands;

}
