<?php

declare(strict_types=1);

namespace Drupal\tasks;

use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\Core\Extension\ModuleHandlerInterface;
use Drupal\Core\Plugin\DefaultPluginManager;
use Drupal\tasks\Annotation\TaskType;

/**
 * TaskType plugin manager.
 */
final class TaskTypePluginManager extends DefaultPluginManager {

  /**
   * Constructs the object.
   */
  public function __construct(\Traversable $namespaces, CacheBackendInterface $cache_backend, ModuleHandlerInterface $module_handler) {
    parent::__construct('Plugin/TaskType', $namespaces, $module_handler, TaskTypeInterface::class, TaskType::class);
    $this->alterInfo('task_type_info');
    $this->setCacheBackend($cache_backend, 'task_type_plugins');
  }

}
