<?php

namespace Drupal\commands\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configure Commands settings for this site.
 */
class SettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'command_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['commands.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {

    $form['daemon_enabled'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Enable daemon'),
      '#description' => $this->t('Run commands as they become available. Requires the "drush command:daemon" command to be running.'),
      '#default_value' => $this->config('commands.settings')->get('daemon_enabled'),
    ];
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state) {
//    if ($form_state->getValue('example') != 'example') {
//      $form_state->setErrorByName('example', $this->t('The value is not correct.'));
//    }
    parent::validateForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->config('commands.settings')
      ->set('daemon_enabled', $form_state->getValue('daemon_enabled'))
      ->save();
    parent::submitForm($form, $form_state);
  }

}
